# Uses of Class
org.apache.lucene.util.ByteBlockPool.Allocator

Packages that use ByteBlockPool.Allocator
Package
Description
org.apache.lucene.util
Some utility classes.

## Uses of ByteBlockPool.Allocator in org.apache.lucene.util

Subclasses of ByteBlockPool.Allocator in org.apache.lucene.util
Modifier and Type
Class
Description
`static final class`
`ByteBlockPool.DirectAllocator`
A simple `ByteBlockPool.Allocator` that never recycles.
`static class`
`ByteBlockPool.DirectTrackingAllocator`
A simple `ByteBlockPool.Allocator` that never recycles, but tracks how much total RAM is in use.
`final class`
`RecyclingByteBlockAllocator`
A `ByteBlockPool.Allocator` implementation that recycles unused byte blocks in a buffer and reuses them in subsequent calls to `RecyclingByteBlockAllocator.getByteBlock()`.
Constructors in org.apache.lucene.util with parameters of type ByteBlockPool.Allocator
Modifier
Constructor
Description
``
`ByteBlockPool(ByteBlockPool.Allocator allocator)`